Update needed! Rated 4 out of 5 stars

Multi-row tab mode doesn't work in FF 16.0.1.
Update extension, please!

This review is for a previous version of the add-on (1.80.1-signed.1-signed).